summaryrefslogtreecommitdiff
path: root/Master
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2015-04-19 21:57:30 +0000
committerKarl Berry <karl@freefriends.org>2015-04-19 21:57:30 +0000
commit3fc1cd61759bef031ab971964028b485f7bb56ab (patch)
tree08856166914cf88628ecefeec0639deea9dc617a /Master
parent9fffa61cc0233aee5f08c4a33e4f8a6cb0076e90 (diff)
mactex postflight script not used for some years
git-svn-id: svn://tug.org/texlive/trunk@36941 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master')
-rwxr-xr-xMaster/tlpkg/libexec/mactex-copy-tl62
1 files changed, 0 insertions, 62 deletions
diff --git a/Master/tlpkg/libexec/mactex-copy-tl b/Master/tlpkg/libexec/mactex-copy-tl
deleted file mode 100755
index 349f3087012..00000000000
--- a/Master/tlpkg/libexec/mactex-copy-tl
+++ /dev/null
@@ -1,62 +0,0 @@
-#!/bin/sh
-# $Id$
-# Public domain. Originally written by Karl Berry, 2009.
-# Copy TeX Live tree from a SRCDIR to a DESTDIR, using tar.
-# Intended for MacTeX postflight on the DVD, so we don't have two
-# complete copies of TL.
-
-if test $# -ne 2; then
- echo "Usage: $0 SRCDIR DESTDIR"
- echo "Copy the TeX Live image in SRCDIR to DESTDIR,"
- echo "with only the bin/universal-darwin binaries."
- exit 1
-fi
-
-srcdir=$1
-destdir=$2
-
-if test ! -d "$srcdir"; then
- echo "$0: $srcdir is not a directory, goodbye." >&2
- exit 1
-fi
-cd $srcdir || exit 1
-
-bindir=bin/universal-darwin
-if test ! -d $bindir; then
- echo "$0: $srcdir/$bindir does not exist, goodbye." >&2
- exit 1
-fi
-
-if test -e "$destdir"; then
- echo "$0: $destdir already exists, goodbye." >&2
- exit 1
-fi
-
-mkdir -p "$destdir"
-if test ! -d "$destdir"; then
- echo "$0: could not make directory $destdir, goodbye." >&2
- exit 1
-fi
-
-touch "$destdir/testfile"
-if test ! -r "$destdir/testfile"; then
- echo "$0: could not write in directory $destdir, goodbye." >&2
- exit 1
-else
- rm "$destdir/testfile"
-fi
-
-# texmf-{config,var} don't exist in the DVD image, but in case we want
-# to test from an installed hierarchy ...
-exclude="rr_moved|texmf-config|texmf-var|.*\.bat|bin"
-wantedfiles="$bindir "`\ls -1 | grep -E -v "^($exclude)\$"`
-
-# There should be no filenames with spaces or other untoward characters
-# in that list, because we keep TL that way.
-
-echo "$0: Copying these from $srcdir to $destdir:"
-echo $wantedfiles
-echo "$0: This will take a while."
-
-: ${TL_TAR=tar}
-"$TL_TAR" cf - $wantedfiles | (cd "$destdir" && "$TL_TAR" xf -)